LibreOffice: DataPilotItem Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | Public Attributes | List of all members
DataPilotItem Service Reference

represents a single item in a data pilot field. More...

Inheritance diagram for DataPilotItem:

## Exported Interfaces
interface | com::sun::star::container::XNamed
| provides access to the name of the data pilot item.
interface | com::sun::star::beans::XPropertySet
| service PropertySet

## Public Attributes
boolean | ShowDetail
| specifies whether the item is showing detail.
boolean | IsHidden
| specifies whether the item is hidden.
long | Position
| specifies the item's position in its field if sorting is manual.

## Additional Inherited Members
Public Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.

## Detailed Description

represents a single item in a data pilot field.

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

service PropertySet

provides access to the properties.

## ◆ com::sun::star::container::XNamed

interface com::sun::star::container::XNamed

provides access to the name of the data pilot item.

Only the `getName()` method is provided.

## Member Data Documentation

## ◆ IsHidden

boolean IsHidden
| property

specifies whether the item is hidden.

## ◆ Position

long Position
| optionalproperty

specifies the item's position in its field if sorting is manual.

Since
  OOo 2.4

## ◆ ShowDetail

boolean ShowDetail
| property

specifies whether the item is showing detail.

The documentation for this service was generated from the following file:

- com/sun/star/sheet/DataPilotItem.idl